// Include files
#include "TROOT.h"
#include "TFile.h"
#include "TSystem.h"
#include "TTree.h"
#include "HepMC/GenEvent.h"
#include "HepMC/GenParticle.h"
#include "HepMC/GenVertex.h"

int main(int argc,char** argv) 
{
  // initialize ROOT
  gSystem->Load("libClassesDict.so");
  TFile *fi = TFile::Open("hepmc.root");
  TTree *T = (TTree*)fi->Get("T");
  HepMC::GenEvent* evt = 0;
  T->SetBranchAddress("event",&evt); 
  Int_t nb=0;
  Long64_t nentries = T->GetEntries();
  //gDebug=2;
  for (Long64_t i=0;i<5;i++) {
     nb += T->GetEntry(i);
     evt->print();
  printf ("read %d bytes\n",nb);
  }
  printf ("read %d bytes\n",nb);
}


